Trying to get my apple watch to work with my mid 2012 MCBpro

Discussion in 'MacBook Pro' started by ballyharpat, Oct 4, 2018.

  1. ballyharpat macrumors newbie

    Joined:
    Aug 31, 2012
    #1
    Can anyone help me out, I bought an apple watch s4. I want to use it with my macbook pro-to unlock it etc-I only bought it in 2016 but it's mid 2012 version. I have read that I need to upgrade my wireless card if I want it to support my apple watch, I don't know which card to get and how difficult it is to replace the card.

    Here are the specs to the Macbook-
    https://support.apple.com/kb/SP649?l...ewlocale=en_US

    thanks in advance.
     
  2. Mike Boreham, Oct 5, 2018
    Last edited: Oct 5, 2018

    Mike Boreham macrumors 68000

    Joined:
    Aug 10, 2006
    Location:
    UK
    #2
    I think your 2012 Mac is too old, according to this article which includes:

    Before you start using Auto Unlock
    Before you start using Auto Unlock, you'll need to make sure your Mac and Apple Watch are compatible, and that you've set up two-factor (not two-step) authentication for your iCloud account.

    Make sure you own the right Mac and Apple Watch
    To use Auto Unlock, you'll need:

    • Any Mac manufactured 2013 and later (sorry, 2012 Mac owners)
    • An Apple Watch Series 0, 1, 2, or 3

    EDIT....just realised you maybe already know this if you know you have to update the wireless card. I upgraded the wireless card in a 2006 MBP (the very first intel model), and it was not difficult but no idea if 2012 MBP the same. Ifixit would probably tell you.
     
  3. mdlooker, Oct 6, 2018
    Last edited: Oct 6, 2018

    mdlooker macrumors 65816

    mdlooker

    Joined:
    Mar 7, 2011
    Location:
    US
    #3
    Seems like it also matters of the OS you're running according to the platform and watch edition.

    I have AW3 and my Mid'14 MBP running on El Capitan needs the OS to be upgraded to High Sierra or Mojave. You're probably in the same boat.

    https://www.imore.com/auto-unlock

    I believe it's the same link as above btw.
     
  4. ballyharpat thread starter macrumors newbie

    Joined:
    Aug 31, 2012
    #4

    Thanks, I'm actually running Mojave.
    --- Post Merged, Oct 23, 2018 ---

    Yeah, I need to update the card, that's all, Ive read that it's easy, I just need to find out the correct card to get, thanks anyway .
     

Share This Page

4 October 4, 2018